<?php

namespace modules\selfserve\helpers;

enum selfserve_lane_status
{

    case OCCUPIED; // the lane is occupied
    case FAULT; // the lane is in a fault state
    case AVAILABLE; // lane is available
    case MAINTENANCE; // lane is under maintenance
    case CLOSED; // the lane is closed
    case RESERVED; // the lane is reserved

    public function equals(selfserve_lane_status $status): bool
    {
        return $this === $status;
    }
}
